Gem install ruby-serialport in windows

I am having trouble doing gem installs, and I am getting the following
message. Any ideas on what I should try to do.

C:\Ruby19>gem install ruby-serialport
Building native extensions. This could take a while…
ERROR: Error installing ruby-serialport:
ERROR: Failed to build gem native extension.

C:/Ruby19/bin/ruby.exe extconf.rb
checking for OS… mingw
checking for termios.h… *** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
–with-opt-dir
–without-opt-dir
–with-opt-include
–without-opt-include=${opt-dir}/include
–with-opt-lib
–without-opt-lib=${opt-dir}/lib
–with-make-prog
–without-make-prog
–srcdir=.
–curdir
–ruby=C:/Ruby19/bin/ruby
C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:364:in try_do': The complier failed to generat e an executable file. (RuntimeError) You have to install development tools first. from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:433:intry_cpp’
from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:811:in block in have_header' from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:670:inblock in
checking_for’
from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:276:in block (2 levels) in postpone' from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:250:inopen’
from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:276:in block in postpone' from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:250:inopen’
from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:272:in postpone' from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:669:inchecking_for’
from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:810:in have_header' from extconf.rb:10:in

Gem files will remain installed in
C:/Ruby19/lib/ruby/gems/1.9.1/gems/ruby-seria
lport-0.7.0 for inspection.
Results logged to
C:/Ruby19/lib/ruby/gems/1.9.1/gems/ruby-serialport-0.7.0/ext/g
em_make.out

On Jan 7, 6:10pm, Paul R. [email protected] wrote:

I am having trouble doing gem installs, and I am getting the following
message. Any ideas on what I should try to do.

Hello, if you read the exception carefully:

C:\Ruby19>gem install ruby-serialport
Building native extensions. This could take a while…
ERROR: Error installing ruby-serialport:
ERROR: Failed to build gem native extension.

C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:364:in try_do': The complier failed to generate an executable file. (RuntimeError) You have to install development tools first. from C:/Ruby19/lib/ruby/1.9.1/mkmf.rb:433:in try_cpp’

“You have to install development tools first”

Seem you don’t have development tools installed in your environment.

If you got that version of Ruby from RubyInstaller project, please
download the DevKit (Development Kit) and the instructions from the
download page:

Also, search the group/forum, this has been discussed in the past and
you might get pointers to where to look if you encounter other
problems with that particular gem.